import express from "express";
import passport from "passport";
const router = express.Router();

import * as calendarController from "../controllers/calendarController";
import logger from "../logger/logger";

router.get(
  "/auth/google",
  passport.authenticate("google", {
    accessType: "offline",
    //session: false,
    scope: [
      "https://www.googleapis.com/auth/calendar.app.created",
      "https://www.googleapis.com/auth/calendar.events.freebusy",
      "https://www.googleapis.com/auth/userinfo.profile",
    ],
  })
);

router.get(
  "/auth/google/callback",
  passport.authenticate("google", {
    failureRedirect: process.env.PASSPORT_FAILURE_REDIRECT_URL as string,
  }),
  function (req, res) {
    // Successful authentication, redirect home.
    console.log("req.user", req.user, req.cookies);
    res.redirect(process.env.PASSPORT_SUCCESS_REDIRECT_URL as string);
  }
);

router.get("/store", calendarController.GetStoreId);
router.get("/settings", calendarController.GetCalendarSettings);

export default router;
